Nástroj pro diagnostiku rozhraní DirectX

Nástroj pro diagnostiku rozhraní DirectX

Dokumentace k nástroji pro diagnostiku rozhraní DirectX společnosti Microsoft obsahuje následující témata:

  • Popis nástroje pro diagnostiku rozhraní DirectX
  • Příčiny chyb
  • Testování součástí rozhraní DirectX
  • Přepsání výchozího chování


Popis nástroje pro diagnostiku rozhraní DirectX

Nástroj pro diagnostiku rozhraní DirectX® společnosti Microsoft® poskytuje informace o součástech a ovladačích rozhraní API (Application Programming Interface) DirectX. Umožňuje testovat zvukový a grafický výstup a zprostředkovatele služeb Microsoft DirectPlay®. Poskytuje také možnost zakázat některé funkce hardwarového urychlení.

Pomocí nástroje pro diagnostiku můžete získávat informace pro pracovníka odborné pomoci během telefonického hovoru. Shromážděné informace lze také uložit a vložit do zprávy elektronické pošty.

Informace jsou zobrazeny na několika stránkách. Nyní můžete přecházet mezi stránkami pomocí některé z následujících metod:

  • Klepněte na karty.
  • Klepněte na tlačítko Další stránka.
  • Pokud je vybrána karta, stiskněte klávesu ŠIPKA VLEVO nebo ŠIPKA VPRAVO.

Chcete-li uložit všechny informace do textového souboru, klepněte na tlačítko Uložit všechny informace.

Poznámka: Některé informace, například velikost paměti na grafické kartě, mohou být přibližné.


Příčiny chyb

Pokud máte problémy při spuštění aplikací s rozhraním Microsoft® DirectX®, můžete pomocí nástroje pro diagnostiku rozhraní DirectX zjistit jejich příčinu. Následující seznam obsahuje možné příčiny chyb:

  • Nesprávné verze součástí rozhraní DirectX. V části Poznámky stránky Soubory rozhraní DirectX se pokuste najít upozornění o souborech verzí Beta a ladících verzí. Soubory verzí Beta jsou zkušební verze souborů a neměly by být instalovány v prodejních aplikacích. Ladící verze, které jsou používány při vývoji programu a také by neměly být nainstalovány v konečném produktu, mohou výrazně zpomalovat aplikaci oproti jejich konečné verzi.
  • Chybějící hardwarové urychlení. Některé programy pracují velmi pomalu nebo nepracují vůbec v případě, že není k dispozici hardwarové urychlení Microsoft DirectDraw® nebo Direct3D®. Na stránce Zobrazení zobrazte informace položky Funkce rozhraní DirectX a přesvědčte se, zda není urychlení DirectDraw, Direct3D nebo AGP Texture označeno poznámkou Není k dispozici. Pokud ano, měli byste zvážit inovaci hardwaru.
  • Zařízení není připojeno. Pokud pákový ovladač nebo jiné vstupní zařízení nereaguje, může být nesprávně nastaveno. Ověřte, zda je zařízení uvedeno na stránce Vstup nástroje pro diagnostiku rozhraní DirectX. Pokud není, přidejte zařízení pomocí Ovládacích panelů.
  • Necertifikované ovladače. Společnost Microsoft netestovala úplnou kompatibilitu necertifikovaných ovladačů s nejnovější verzí rozhraní DirectX. Tyto ovladače jsou uvedeny na stránce odpovídající součásti.


Testování součástí rozhraní DirectX

Rozhraní Microsoft® DirectDraw® a Direct3D® můžete testovat na každém monitoru připojeném k systému. Rozhraní DirectSound® lze také testovat na každém výstupním zařízení Wave a rozhraní DirectMusic® na každém hudebním portu.

Testování funkce rozhraní DirectX: Klepněte na tlačítko Testovat na příslušné stránce, přečtěte si všechna zobrazená hlášení a sledujte nebo poslouchejte testy. Ponechejte každý test spuštěný až do doby, než se zobrazí zpráva s dotazem, zda byl test úspěšný. Pokud odpovíte klepnutím na tlačítko Ne, nebudou spuštěny žádné další testy.

Testování rozhraní DirectMusic zahrnuje pouze jeden test. Jakmile je hudba přehrána správně nebo nesprávně, klepněte na tlačítko OK.

Funkce rozhraní Microsoft DirectPlay® můžete testovat na všech dostupných zprostředkovatelích služeb.

šipka postupu Testování rozhraní DirectPlay

  1. Na stránce Síť klepněte na tlačítko Test rozhraní DirectPlay. V dialogovém okně Test rozhraní DirectPlay zadejte uživatelské jméno a zvolte zprostředkovatele služeb. Klepněte na přepínač Vytvořit novou relaci a klepněte na tlačítko OK. Pokud jste zvolili připojení modemem, klepněte v dialogovém okně Připojení modemem na tlačítko Odpovědět. Tím nastavíte modem do režimu automatické odpovědi.
  2. Nyní spusťte nástroj pro diagnostiku rozhraní DirectX v jiném počítači, který může navázat vybrané připojení s prvním počítačem. Klepněte na tlačítko Test rozhraní DirectPlay, zadejte jiné uživatelské jméno, vyberte stejného zprostředkovatele služeb, klepněte na přepínač Přidat se k existující relaci a klepněte na tlačítko OK.

    3. U některých typů připojení můžete být vyzváni k poskytnutí více informací, například telefonního čísla. V případě připojení TCP/IP v místní síti můžete ponechat textové pole prázdné.

  3. Ve druhém počítači vyberte v seznamu Seznam relací obsahujícím název relace, kterou jste vytvořili v prvním počítači, název relace a klepněte na tlačítko OK.
  4. Na monitorech obou počítačů by se mělo nyní zobrazit dialogové okno konverzace. Zadejte zprávu do vstupního pole jednoho počítače a klepněte na tlačítko Odeslat. Zpráva by se měla zobrazit v posuvné oblasti dialogového okna konverzace obou počítačů.


Přepsání výchozího chování

Na stránce Zvuk můžete přesunutím jezdce nastavit různou úroveň hardwarového urychlení. Tato úroveň zůstává v platnosti i po ukončení nástroje pro diagnostiku rozhraní DirectX společnosti Microsoft.

Poznámka: Tato funkce není k dispozici v systému Microsoft Windows® 95.

Pokud je k dispozici hardwarové urychlení, lze jej zakázat u rozhraní Microsoft DirectDraw® nebo Direct3D®. Chcete-li urychlení zakázat, přejděte na stránku Zobrazení jednotlivých zobrazovacích zařízení a klepněte na tlačítko Zakázat. Jakmile hardwarové urychlení zakážete, nebude k dispozici žádným aplikacím ani po ukončení nástroje pro diagnostiku rozhraní DirectX. Pokud budete chtít hardwarové urychlení znovu povolit, klepněte na tlačítko Povolit na odpovídající stránce Zobrazení.

Poznámka: Zákazem urychlení rozhraní DirectDraw zakážete také urychlení rozhraní Direct3D.

Můžete také přepsat obnovovací frekvenci monitoru nastavenou aplikacemi v celoobrazovkovém režimu s rozhraním DirectDraw. Měli byste to provést pouze v případě, že dochází k problémům se zobrazením v aplikaci a oprávněně se domníváte, že aplikace nastavuje neplatnou obnovovací frekvenci.

šipka postupu Nastavení nové hodnoty obnovovací frekvence

  1. Na stránce Další nápověda klepněte na tlačítko Přepsat.
  2. V dialogovém okně Přepsat nastavení obnovovací frekvence vyberte pole a zadejte platnou hodnotu obnovovací frekvence monitoru.

    3. Při této akci je automaticky vybrán přepínač Nová hodnota.

  3. Klepněte na tlačítko OK.

šipka postupu Zrušení nové hodnoty obnovovací frekvence a povolení aplikacím s rozhraním DirectDraw nastavit vlastní obnovovací frekvenci

  1. Na stránce Další nápověda klepněte na tlačítko Přepsat.
  2. V dialogovém okně Přepsat nastavení obnovovací frekvence vyberte přepínač Výchozí a klepněte na tlačítko OK.


Téma nebylo nalezeno

Nebylo nalezeno žádné odpovídající téma. Níže jsou uvedeny některé možné příčiny a jejich řešení:

  • Soubor s příponou CHM, který obsahuje cílové téma, se nenachází v očekávaném umístění.

    • Řešení: Znovu spusťte instalační program knihovny MSDN.

  • Soubor s příponou CHM, který obsahuje aktuální nebo cílové téma, je zastaralý a odkaz již není platný.

    • Řešení: Nainstalujte nejnovější verzi knihovny MSDN.

  • Disk CD-ROM knihovny MSDN není v jednotce CD-ROM.

    • Řešení: Vložte disk CD-ROM knihovny MSDN do jednotky CD-ROM.